
var xhr;

function CreateXmlHttp(){
    // Probamos con IE
    try{        // FuncionarÃ¡ para JavaScript 5.0
        xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
    }
    catch(e){
        try{
            xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
        }
        catch(oc){
            xmlHttp = null;
        }
    }
    // Si no se trataba de un IE, probamos con esto
    if(!xmlHttp && typeof XMLHttpRequest != "undefined")
    {
        xmlHttp = new XMLHttpRequest();
    }

    return xmlHttp;
}

//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}



//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}




  function comprobar_codigo()
{
        xhr=CreateXmlHttp();


       var cod=get('codigo');

       if(cod=='')
           {
               alert('Ingrese Codigo');
               exit();
           }

        xhr.open("GET","app/model/insertar_desercion.php?accion=info_comp_codigo&codigo="+cod+"",true);//ultimo parametro true asincrono false sincrono
        xhr.onreadystatechange=resinfocod; //despue del = nombre de la funcion que controla la respuesta
        xhr.send(null);//post sen el elemento que contiene la informacion


}

function reporte(){

         window.open('app/model/reportes/deserciones.php',"width=1000,height=500,scrollbars=NO");
}


function resinfocod()
{
        if(xhr.readyState==4){


       var result=xhr.responseXML;


        var respuesta=result.getElementsByTagName("datos");
        var res=respuesta.item(0).firstChild.nodeValue;



        if(res=='no')
        {
            alert('No registrado');
            window.location='desercion.php';

        }else if(res=='inac')
        {
            alert('Alumno Inactivo');
            window.location='desercion.php';

        }else{

           var nom=result.getElementsByTagName("nombre");
           var nom2=nom.item(0).firstChild.nodeValue;
           document.getElementById('nombres').value=nom2;

           var estado=result.getElementsByTagName("estado");
           var estado2=estado.item(0).firstChild.nodeValue;
           document.getElementById('estado').value=estado2;


            }


          }
      }


function limpiardesercion(){

    
    document.getElementById('codigo').value='';
    document.getElementById('nombres').value='';

    document.getElementById('estado').value='';
    document.getElementById('d_id1').value='';
    document.getElementById('d_id2').value='';

    document.getElementById('fchadeser').value='';
}



function guardar_desercion(){

    var cod=get('codigo');
    var clasedesercion=get('d_id1');
    var fchadeser=get('fchadeser');
    var obser=get('obser');

    var parametros = {"accion":'guardar_desercion',"cod":cod,"desercion":clasedesercion,"fecha":fchadeser,"obser":obser
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_desercion.php",
                type:  'post',
                success:function (response){

                                alert(response);

                                window.location='desercion.php';
                    }

        });
    
}


function retornar_menu(){
    window.location.href='../menu.php'
}